/* changed LONG and ULONG to int for 63 compilation
 *
 */

#define UBYTE unsigned char
#define WORD  short
#define UWORD unsigned short
#define LONG 	int 
#define ULONG unsigned int 

typedef struct _BTIME {
    UWORD year ;	     /* e.g. 1991 */
    UWORD day ; 	     /* 1..366 */
    UBYTE hours ;	     /* 0..23 */
    UBYTE minutes ;	     /* 0..59 */
    UBYTE seconds ;	     /* 0..59, 60 for leap */
    UBYTE alignment_1 ;
    UWORD frac_secs ;		/* 0.0001 seconds, 0..9999 */
    } BTIME ;

typedef struct _DATA_HEADER {
    char   SequenceNumber[6] ;
    char   Data_header_indicator ;
    char   Reserved_bytes_A ;
    char   Station_identifier_code[5] ;
    char   Location_identifier[2] ;
    char   Channel_identifier[3] ;
    char   Reserved_bytes_B[2] ;
    BTIME  Record_start_time ;
    UWORD  Number_of_samples ;
    WORD   Sample_rate_factor ;
    WORD   Sample_rate_multiplier ;
    UBYTE  Activity_flags ;
    UBYTE  IO_flags ;
    UBYTE  Data_quality_flags ;
    UBYTE  Number_of_blockettes_follow ;
    int    Time_correction ;
    UWORD  Beginning_of_data ;
    UWORD  First_blockette ;
    } DATA_HEADER ;

int Steim_comp( FILE *fp, double *p_dbuf, DATA_HEADER *p_fsdh, int Number_of_samples,
		int data_rec_length, int *p_seed_data_records,
		int num_cont_blk, int num_cont_blk_bytes, char *cont_blk,
		int num_once_blk, int num_once_blk_bytes, char *once_blk);

